Loading...
Searching...
No Matches
gx_engine::LadspaLoader Class Reference

`#include <gx_internal_plugins.h>`

## Public Types

typedef std::vector< plugdesc * > | pluginarray

## Public Member Functions

| LadspaLoader (const gx_system::CmdlineOptions &options, ParamMap &param)
| ~LadspaLoader ()
bool | load (pluginarray &p)
unsigned int | size ()
PluginDef * | create (unsigned int idx)
PluginDef * | create (const plugdesc *p)
pluginarray::iterator | begin ()
pluginarray::iterator | end ()
pluginarray::iterator | find (plugdesc *desc)
void | clear_list ()
void | set_plugins (pluginarray &new_plugins)
void | update_instance (PluginDef *pdef, plugdesc *pdesc)
ParamMap & | get_parameter_map () const

## Static Public Member Functions

static std::string | get_ladspa_filename (unsigned long uid)
static std::string | get_ladspa_filename (std::string uid_key)

## Private Member Functions

void | read_module_config (const std::string &filename, plugdesc *p)
void | read_module_list (pluginarray &p)

## Private Attributes

const gx_system::CmdlineOptions & | options
pluginarray | plugins
LilvWorld * | world
ParamMap & | param
const LilvPlugins * | lv2_plugins
LilvNode * | lv2_AudioPort
LilvNode * | lv2_ControlPort
LilvNode * | lv2_InputPort
LilvNode * | lv2_OutputPort
LilvNode * | lv2_AtomPort

## Friends

class | Lv2Dsp

## Detailed Description

Definition at line 753 of file gx_internal_plugins.h.

## Member Typedef Documentation

## pluginarray

typedef std::vector<plugdesc*> gx_engine::LadspaLoader::pluginarray

Definition at line 755 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## LadspaLoader()

gx_engine::LadspaLoader::LadspaLoader | ( | const gx_system::CmdlineOptions & | options,
|  | ParamMap & | param )

## ~LadspaLoader()

gx_engine::LadspaLoader::~LadspaLoader | ( |  | ) |

## Member Function Documentation

## begin()

pluginarray::iterator gx_engine::LadspaLoader::begin | ( |  | ) |

inline

Definition at line 777 of file gx_internal_plugins.h.

## clear_list()

void gx_engine::LadspaLoader::clear_list | ( |  | ) |

## create() [1/2]

PluginDef * gx_engine::LadspaLoader::create | ( | const plugdesc * | p | ) |

## create() [2/2]

PluginDef * gx_engine::LadspaLoader::create | ( | unsigned int | idx | ) |

inline

Definition at line 775 of file gx_internal_plugins.h.

Referenced by create().

## end()

pluginarray::iterator gx_engine::LadspaLoader::end | ( |  | ) |

inline

Definition at line 778 of file gx_internal_plugins.h.

## find()

pluginarray::iterator gx_engine::LadspaLoader::find | ( | plugdesc * | desc | ) |

## get_ladspa_filename() [1/2]

std::string gx_engine::LadspaLoader::get_ladspa_filename | ( | std::string | uid_key | ) |

inline static

Definition at line 785 of file gx_internal_plugins.h.

## get_ladspa_filename() [2/2]

std::string gx_engine::LadspaLoader::get_ladspa_filename | ( | unsigned long | uid | ) |

inline static

Definition at line 783 of file gx_internal_plugins.h.

## get_parameter_map()

ParamMap & gx_engine::LadspaLoader::get_parameter_map | ( |  | ) | const

inline

Definition at line 787 of file gx_internal_plugins.h.

## load()

bool gx_engine::LadspaLoader::load | ( | pluginarray & | p | ) |

## read_module_config()

void gx_engine::LadspaLoader::read_module_config | ( | const std::string & | filename,
|  | plugdesc * | p )

private

## read_module_list()

void gx_engine::LadspaLoader::read_module_list | ( | pluginarray & | p | ) |

private

## set_plugins()

void gx_engine::LadspaLoader::set_plugins | ( | pluginarray & | new_plugins | ) |

## size()

unsigned int gx_engine::LadspaLoader::size | ( |  | ) |

inline

Definition at line 774 of file gx_internal_plugins.h.

## update_instance()

void gx_engine::LadspaLoader::update_instance | ( | PluginDef * | pdef,
|  | plugdesc * | pdesc )

## Friends And Related Symbol Documentation

## Lv2Dsp

friend class Lv2Dsp

friend

Definition at line 788 of file gx_internal_plugins.h.

Referenced by Lv2Dsp.

## Member Data Documentation

## lv2_AtomPort

LilvNode* gx_engine::LadspaLoader::lv2_AtomPort

private

Definition at line 766 of file gx_internal_plugins.h.

## lv2_AudioPort

LilvNode* gx_engine::LadspaLoader::lv2_AudioPort

private

Definition at line 762 of file gx_internal_plugins.h.

## lv2_ControlPort

LilvNode* gx_engine::LadspaLoader::lv2_ControlPort

private

Definition at line 763 of file gx_internal_plugins.h.

## lv2_InputPort

LilvNode* gx_engine::LadspaLoader::lv2_InputPort

private

Definition at line 764 of file gx_internal_plugins.h.

## lv2_OutputPort

LilvNode* gx_engine::LadspaLoader::lv2_OutputPort

private

Definition at line 765 of file gx_internal_plugins.h.

## lv2_plugins

const LilvPlugins* gx_engine::LadspaLoader::lv2_plugins

private

Definition at line 761 of file gx_internal_plugins.h.

## options

const gx_system::CmdlineOptions& gx_engine::LadspaLoader::options

private

Definition at line 757 of file gx_internal_plugins.h.

Referenced by LadspaLoader().

## param

ParamMap& gx_engine::LadspaLoader::param

private

Definition at line 760 of file gx_internal_plugins.h.

Referenced by get_parameter_map(), and LadspaLoader().

## plugins

pluginarray gx_engine::LadspaLoader::plugins

private

Definition at line 758 of file gx_internal_plugins.h.

Referenced by begin(), create(), end(), and size().

## world

LilvWorld* gx_engine::LadspaLoader::world

private

Definition at line 759 of file gx_internal_plugins.h.

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h